// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：调压箱查询
//author：feizhao
//date：2017-11-15
//discription：用于测试登陆后，进行调压箱查询
//step：1.登录主页面  2.调压箱管理-调压箱查询
//修改人：
//修改日期：
//修改内容：

//Account setting.
const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
    //  .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
//  点击档案管理-调压箱信息查询
    .click('#vc-tree-name-档案管理')
    .pause(1000)
    .click('#vc-tree-name-调压箱管理')
    .pause(1000)
    .setValue('input[placeholder=名称]','调压箱')
    .pause(1000)
    .setValue('input[placeholder=地址]','12')
    .pause(1000)
    .click('.form-inline :nth-child(3) button')
    .pause(1000)
    .end()
  }
}
